Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focus when it calls `list-processes'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jul 2012 23:49:57 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Sun, 22 Jul 2012 12:42:54 -0700
> 
> > Don't invoke GDB from inside Emacs, that's only good when you do that
> > from the same version of Emacs you are debugging, and even then there
> > are a few gotchas.
> > 
> > Instead, go to the directory where you have .gdbinit, and type from
> > the shell prompt:
> >  >gdb /path/to/emacs.exe RET
> > 
> > When GDB ends its initialization and shows the "(gdb)" prompt, type:
> >  (gdb) run --debug-init
> 
> OK, thanks.  I did exactly that.
> 
> > You should now have your normal Emacs session, with all the
> > customizations you normally have.
> 
> No, unfortunately, I get exactly the same behavior described earlier: an emacs
> -Q session with a splash screen and a displayed buffer *Warnings* with this
> message:
> 
> Error (initialization): User  has no home directory
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^
What does that last message tell you?  I think this is the key to
unlock your mystery.